## pyexiv2 0.1.1

=== SConstruct ===
#!/usr/bin/python
# -*- coding: utf-8 -*-

BuildDir('build', 'src', duplicate=0)
SConscript('build/SConscript')

## pyexiv2 0.1.3

=== debian/changelog ===
pyexiv2 (0.1.3-6fakesync1) maverick; urgency=low

  * Target version to fakesync instead build (LP: #596592).

 -- Artur Rona <ari-tczew@tlen.pl>  Sun, 20 Jun 2010 17:38:05 +0200

pyexiv2 (0.1.3-6build1) lucid; urgency=low

  * Fake sync due to different md5sum of .orig.tar.gz:
    - includes upstream build fix for exiv2 0.19 (LP: #502565)

 -- Luka Renko <lure@ubuntu.com>  Sat, 09 Jan 2010 23:13:03 +0100

pyexiv2 (0.1.3-6) unstable; urgency=low

  * Drop quilt from debian/rules and build depends (I know I should've done
    this before).

 -- Michal Čihař <nijel@debian.org>  Wed, 06 Jan 2010 11:13:40 +0100

pyexiv2 (0.1.3-5) unstable; urgency=low

  * Convert to 3.0 (quilt) source format.
  * Patch from upstream to compile with exiv2 0.19.

 -- Michal Čihař <nijel@debian.org>  Tue, 05 Jan 2010 13:33:21 +0100

pyexiv2 (0.1.3-4) unstable; urgency=low

  * Bymp standards to 3.8.3.
  * Boost library has lost -mt name (Closes: #545596).
  * Add doc-base registration for documentation.

 -- Michal Čihař <nijel@debian.org>  Tue, 08 Sep 2009 12:45:38 +0200

pyexiv2 (0.1.3-3) unstable; urgency=low

  * Build depend on libboost-python-dev (this now leads to boost 1.38).

 -- Michal Čihař <nijel@debian.org>  Mon, 11 May 2009 06:58:30 +0000

pyexiv2 (0.1.3-2) unstable; urgency=low

  * Upload to unstable as new libexiv is there.

 -- Michal Čihař <nijel@debian.org>  Mon, 04 May 2009 20:03:12 +0200

pyexiv2 (0.1.3-1) experimental; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Michal Čihař ]
  * New upstream version.
  * Document patches.
  * Add missing debian/README.source.
  * Update debian/watch to match current downloads location.
  * Patch 02_noscript.dpatch was merged upstream.
  * Switch to boost 1.37.
  * Switch from pycentral to pysupport.
  * Bump to policy 3.8.1 (no changes needed).
  * Upload to experimental because this requires new exiv2.
  * Update debian/copyright (years, link to GPL-2).
  * Switch from dpatch to quilt.
  * Migrate to dh to simplify debian/rules.

 -- Michal Čihař <nijel@debian.org>  Wed, 18 Mar 2009 15:46:05 +0100

pyexiv2 (0.1.2-4) unstable; urgency=low

  * Move packaging to Python Modules Packaging Team:
    - Change Vcs fields in debian/control.
    - Add team to Uploaders.
  * Update to standards 3.8.0.

 -- Michal Čihař <nijel@debian.org>  Sat, 07 Jun 2008 12:31:21 +0200

pyexiv2 (0.1.2-3) unstable; urgency=low

  * Reupload with correct orig tarball checksum.

 -- Michal Čihař <nijel@debian.org>  Sat, 26 Apr 2008 13:44:46 +0200

pyexiv2 (0.1.2-2) unstable; urgency=low

  * Add missing clean -> unpatch dependency in debian/rules.
  * Build with proper boost library for each Python version (Closes: #476965).

 -- Michal Čihař <nijel@debian.org>  Sat, 26 Apr 2008 12:40:25 +0200

pyexiv2 (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Fix some typos in description.

 -- Michal Čihař <nijel@debian.org>  Tue, 26 Feb 2008 11:06:02 +0100

pyexiv2 (0.1.1-3) unstable; urgency=low

  * Oops, I messed up used tarball in previous upload somehow.

 -- Michal Čihař <nijel@debian.org>  Sun, 03 Feb 2008 13:57:32 +0900

pyexiv2 (0.1.1-2) unstable; urgency=low

  * Convert XS-Vcs fields to Vcs.
  * Update policy to 3.7.3 (no changes needed).
  * Remove .sconsign.dblite on clean to allow building twice in a row.
  * Adjusted Vcs-* headers to point to trunk.
  * Rebuild against new exiv2.

 -- Michal Čihař <nijel@debian.org>  Sun, 03 Feb 2008 13:05:50 +0900

pyexiv2 (0.1.1-1) unstable; urgency=low

  * New upstream release

 -- Michal Čihař <nijel@debian.org>  Thu, 18 Oct 2007 14:53:41 +0900

pyexiv2 (0.1-1) unstable; urgency=low

  * Initial release (Closes: #444249).

 -- Michal Čihař <nijel@debian.org>  Thu, 27 Sep 2007 16:39:37 +0900

=== debian/control ===
Source: pyexiv2
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50),
    python-support (>= 0.5.3),
    python-all-dev (>= 2.3.5-11), 
    python-all-dbg, 
    scons, 
    libexiv2-dev (>= 0.18), 
    libboost-python-dev
Standards-Version: 3.8.3
XS-Python-Version: all
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pyexiv2/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyexiv2/trunk/
Homepage: http://tilloy.net/dev/pyexiv2/

Package: python-pyexiv2
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Python binding to Exiv2
 pyexiv2 is a Python binding to Eiv2, the C++ library for manipulation
 of EXIF and IPTC image metadata. It is a Python module that allows your
 Python scripts to read and write metadata (EXIF, IPTC, thumbnail)
 embedded in image files (JPEG, TIFF, ...).
 .
 It is designed as a high level interface to the functionalities offered
 by exiv2 (and is built on top of it). Using Python's built-in data
 types and standard modules, it provides easy manipulation of image
 metadata.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERSIONS=$(shell pyversions -v -r)

override_dh_auto_configure:

override_dh_auto_build:
	set -e; \
	for v in $(PYVERSIONS) ; do \
		PYTHON=python$$v ; \
		$$PYTHON /usr/bin/scons BOOSTLIB=boost_python-py`echo $$v | tr -d .`; \
		mv build build-$$v ; \
	done

override_dh_auto_clean:
	scons -c
	rm -rf build-*
	rm -f .sconsign.dblite

override_dh_auto_install:
	set -e; \
	for v in $(PYVERSIONS) ; do \
		PYTHON=python$$v ; \
		dh_install build-$$v/libpyexiv2.so /usr/lib/$$PYTHON/site-packages/ ; \
		dh_install src/pyexiv2.py /usr/lib/$$PYTHON/site-packages/ ; \
	done

build: build-stamp

build-stamp:
	dh build
	touch $@

clean:
	dh clean

install: build
	dh install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pyexiv2 0.3.0

=== debian/changelog ===
pyexiv2 (0.3.0-4) unstable; urgency=low

  * Relax Breaks for phatch as support for current pyexiv2 has been backported
    (Closes: #618683).

 -- Michal Čihař <nijel@debian.org>  Thu, 17 Mar 2011 17:01:37 +0100

pyexiv2 (0.3.0-3) unstable; urgency=low

  * Use upstream fix for sphinx changed parameters (Closes: #613841).
  * Migrate to dh_python2.

 -- Michal Čihař <nijel@debian.org>  Mon, 21 Feb 2011 11:52:51 +0100

pyexiv2 (0.3.0-2) unstable; urgency=low

  * Upload to unstable. I know it makes phatch impossible to install, but it
    needs to be fixed anyway.

 -- Michal Čihař <nijel@debian.org>  Sun, 06 Feb 2011 13:26:26 +0100

pyexiv2 (0.3.0-1) experimental; urgency=low

  * New upstream version.
  * Do not build for python 2.5 it is not supported anymore.

 -- Michal Čihař <nijel@debian.org>  Mon, 03 Jan 2011 09:32:03 +0100

pyexiv2 (0.2.2-2) experimental; urgency=low

  * Bump standards to 3.9.1.
  * Rebuild against new libexiv (Closes: #595638).
  * Fix build with Sphinx 1.x.

 -- Michal Čihař <nijel@debian.org>  Mon, 06 Sep 2010 16:05:40 +0200

pyexiv2 (0.2.2-1) experimental; urgency=low

  * New upstream version.

 -- Michal Čihař <nijel@debian.org>  Thu, 27 May 2010 11:50:21 +0200

pyexiv2 (0.2.1-1) experimental; urgency=low

  * New upstream version.
  * Build documentation during build.

 -- Michal Čihař <nijel@debian.org>  Mon, 26 Apr 2010 10:22:29 +0200

pyexiv2 (0.2.0-2) experimental; urgency=low

  * Fix installation of python module.
  * Install HTML documentation and register it in doc-base.
  * Move documentation to separate package.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Apr 2010 10:37:55 +0200

pyexiv2 (0.2.0-1) experimental; urgency=low

  * New upstream version.
  * All patches are merged upstream.
  * This version has incompatible API, mark that we break old versions of
    reverse dependencies (lazygal and phatch-cli).
  * Bump standards to 3.8.4.
  * Install upstream NEWS as changelog.

 -- Michal Čihař <nijel@debian.org>  Thu, 25 Mar 2010 22:30:04 +0100

=== debian/control ===
Source: pyexiv2
Section: python
Priority: optional
Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50),
    python-all-dev (>= 2.6.6-3),
    python-all-dbg, 
    python-sphinx,
    scons, 
    libexiv2-dev (>= 0.18), 
    libboost-python-dev
Standards-Version: 3.9.1
X-Python-Version: >= 2.6
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pyexiv2/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyexiv2/trunk/
Homepage: http://tilloy.net/dev/pyexiv2/

Package: python-pyexiv2
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Recommends: python-pyexiv2-doc
Breaks: lazygal (<< 0.5), phatch-cli (<< 0.2.7.1-1~), ${python:Breaks}
Description: Python binding to Exiv2
 pyexiv2 is a Python binding to Eiv2, the C++ library for manipulation
 of EXIF and IPTC image metadata. It is a Python module that allows your
 Python scripts to read and write metadata (EXIF, IPTC, thumbnail)
 embedded in image files (JPEG, TIFF, ...).
 .
 It is designed as a high level interface to the functionalities offered
 by exiv2 (and is built on top of it). Using Python's built-in data
 types and standard modules, it provides easy manipulation of image
 metadata. 

Package: python-pyexiv2-doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Recommends: python-pyexiv2
Section: doc
Description: Documentation for Python binding to Exiv2
 pyexiv2 is a Python binding to Eiv2, the C++ library for manipulation
 of EXIF and IPTC image metadata. It is a Python module that allows your
 Python scripts to read and write metadata (EXIF, IPTC, thumbnail)
 embedded in image files (JPEG, TIFF, ...).
 .
 It is designed as a high level interface to the functionalities offered
 by exiv2 (and is built on top of it). Using Python's built-in data
 types and standard modules, it provides easy manipulation of image
 metadata. 
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERSIONS=$(shell pyversions -v -r)

override_dh_auto_configure:

override_dh_auto_build:
	set -e; \
	for v in $(PYVERSIONS) ; do \
		PYTHON=python$$v ; \
		$$PYTHON /usr/bin/scons BOOSTLIB=boost_python-py`echo $$v | tr -d .`; \
		$$PYTHON /usr/bin/scons doc ; \
		mv build build-$$v ; \
	done

override_dh_auto_clean:
	scons -c
	rm -rf build-*
	rm -f .sconsign.dblite

override_dh_auto_install:
	set -e; \
	for v in $(PYVERSIONS) ; do \
		PYTHON=python$$v ; \
		mv build-$$v build ; \
		$$PYTHON /usr/bin/scons DESTDIR=$(CURDIR)/debian/python-pyexiv2 install ; \
		mv build build-$$v ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_compress:
	dh_compress -X.txt -X.js -X.ico

build: build-stamp

build-stamp:
	dh --with python2 build
	touch $@

clean:
	dh --with python2 clean

install: build
	dh --with python2 install


# Build architecture-independent files here.
binary-indep: build install
	dh --with python2 binary-indep

# Build architecture-dependent files here.
binary-arch: build install
	dh --with python2 binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pyexiv2 0.3.2

=== SConstruct ===
# -*- coding: utf-8 -*-

import os
import sys

def _fiddle_with_pythonpath():
    # Fiddle with the pythonpath to allow builders to locate pyexiv2
    # (see https://bugs.launchpad.net/pyexiv2/+bug/549398).
    curdir = os.path.abspath(os.curdir)
    sys.path.insert(0, os.path.join(curdir, 'build'))
    sys.path.insert(0, os.path.join(curdir, 'src'))

def build_lib():
    try:
        from site import USER_SITE
    except ImportError:
        # Installing in the user site directory requires Python ≥ 2.6.
        pass
    else:
        AddOption('--user', action='store_true',
                  help='Install in the user site directory.')
    SConscript('src/SConscript', variant_dir='build', duplicate=0)

def build_doc():
    _fiddle_with_pythonpath()
    SConscript('doc/SConscript')

def run_tests():
    _fiddle_with_pythonpath()
    SConscript('test/SConscript')

if sys.version_info < (2, 6):
    sys.exit('ERROR: pyexiv2 requires Python ≥ 2.6. Exiting.')

if not BUILD_TARGETS:
    # Default target: lib
    build_lib()
else:
    if 'lib' in BUILD_TARGETS or 'install' in BUILD_TARGETS:
        build_lib()
    if 'doc' in BUILD_TARGETS:
        # Note: building the doc requires the lib to be built.
        build_doc()
    if 'test' in BUILD_TARGETS:
        # Note: running the unit tests requires the lib to be built.
        run_tests()

=== debian/changelog ===
pyexiv2 (0.3.2-8) unstable; urgency=medium

  * Adjust Vcs-Svn URL.
  * Bump standards to 3.9.6.
  * Remove date from generated docs to have reproducible builds.

 -- Michal Čihař <nijel@debian.org>  Tue, 28 Apr 2015 11:26:22 +0200

pyexiv2 (0.3.2-7) unstable; urgency=medium

  * Adjust Vcs-Svn URL.
  * Add missing dependency on Sphinx javascript (Closes: #756481).

 -- Michal Čihař <nijel@debian.org>  Wed, 30 Jul 2014 18:28:32 +0200

pyexiv2 (0.3.2-6) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix watch file.

  [ Michal Čihař ]
  * Bump standards to 3.9.5.
  * Use debhelper 9.

 -- Michal Čihař <nijel@debian.org>  Tue, 25 Feb 2014 12:48:28 +0100

pyexiv2 (0.3.2-5) unstable; urgency=low

  * Fix typo in description (Closes: #673315).

 -- Michal Čihař <nijel@debian.org>  Mon, 25 Jun 2012 15:05:51 +0200

pyexiv2 (0.3.2-4) unstable; urgency=low

  * Better clean after build (Closes: #671143).
  * Mention XMP in description (Closes: #662831).
  * Bump standards to 3.9.3.

 -- Michal Čihař <nijel@debian.org>  Wed, 16 May 2012 15:14:47 +0200

pyexiv2 (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * All patches integrated upstream.
  * Bump standards to 3.9.2.
  * Symlink underscore.js library.
  * Add build-arch and build-indep targets to debian/rules.

 -- Michal Čihař <nijel@debian.org>  Mon, 07 Nov 2011 11:47:54 +0100

=== debian/control ===
Source: pyexiv2
Section: python
Priority: optional
Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
    dpkg-dev (>= 1.16.1~),
    python-all-dev (>= 2.6.6-3),
    python-all-dbg, 
    python-sphinx,
    scons, 
    libexiv2-dev (>= 0.18), 
    libboost-python-dev
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyexiv2/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyexiv2/trunk/
Homepage: http://tilloy.net/dev/pyexiv2/

Package: python-pyexiv2
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Recommends: python-pyexiv2-doc
Breaks: lazygal (<< 0.5), phatch-cli (<< 0.2.7.1-1~), ${python:Breaks}
Description: Python binding to Exiv2
 pyexiv2 is a Python binding to Exiv2, the C++ library for manipulation
 of EXIF and IPTC image metadata. It is a Python module that allows your
 Python scripts to read and write metadata (EXIF, IPTC, XMP, thumbnail)
 embedded in image files (JPEG, TIFF, ...).
 .
 It is designed as a high level interface to the functionalities offered
 by exiv2 (and is built on top of it). Using Python's built-in data
 types and standard modules, it provides easy manipulation of image
 metadata. 

Package: python-pyexiv2-doc
Architecture: all
Depends: ${misc:Depends}, libjs-sphinxdoc
Recommends: python-pyexiv2
Section: doc
Description: Documentation for Python binding to Exiv2
 pyexiv2 is a Python binding to Exiv2, the C++ library for manipulation
 of EXIF and IPTC image metadata. It is a Python module that allows your
 Python scripts to read and write metadata (EXIF, IPTC, XMP, thumbnail)
 embedded in image files (JPEG, TIFF, ...).
 .
 It is designed as a high level interface to the functionalities offered
 by exiv2 (and is built on top of it). Using Python's built-in data
 types and standard modules, it provides easy manipulation of image
 metadata. 
 .
 This package contains documentation.

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 override_dh_auto_clean:
 	scons -c
 	rm -rf build-*
+	rm -rf doc/_build
+	rm -f src/pyexiv2/*.pyc
 	rm -f .sconsign.dblite
 
 override_dh_auto_install:
@@ -36,26 +38,5 @@
 override_dh_compress:
 	dh_compress -X.txt -X.js -X.ico
 
-build: build-stamp
-
-build-stamp:
-	dh --with python2 build
-	touch $@
-
-clean:
-	dh --with python2 clean
-
-install: build
-	dh --with python2 install
-
-
-# Build architecture-independent files here.
-binary-indep: build install
-	dh --with python2 binary-indep
-
-# Build architecture-dependent files here.
-binary-arch: build install
-	dh --with python2 binary-arch
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+%: 
+	dh $@ --with python2
